Package com.io7m.cedarbridge.codegen.javastatic.internal.generics

# Record Class CBGenericSerializerMethodRefViaLambda

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.codegen.javastatic.internal.generics.CBGenericSerializerMethodRefViaLambda

Record Components:
  `type` - The type
  `lambdaType` - The type of the lambda expression
  `lambdaReturnType` - The type of values serialized by the expression
  `lambdaName` - The name of the variable to which the lambda expression is assigned
  `lambdaContextName` - The name of the context variable inside the lambda expression
  `lambdaValueName` - The name of the value inside the lambda expression
  `lambdaTarget` - The type targeted by the lambda expression
  `lambdaTargetRefs` - The method references present inside the lambda

All Implemented Interfaces:
  `CBGenericSerializerMethodRefType`

public record CBGenericSerializerMethodRefViaLambda(CBTypeExpressionType.CBTypeExprApplicationType type, com.io7m.jodist.TypeName lambdaType, com.io7m.jodist.TypeName lambdaReturnType, String lambdaName, String lambdaContextName, String lambdaValueName, CBTypeExpressionType.CBTypeExprNamedType lambdaTarget, List<CBGenericSerializerMethodRefType> lambdaTargetRefs) extends Record implements CBGenericSerializerMethodRefType
A reference to a serialize method that is enclosed inside a lambda expression.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBGenericSerializerMethodRefViaLambda(CBTypeExpressionType.CBTypeExprApplicationType type, com.io7m.jodist.TypeName lambdaType, com.io7m.jodist.TypeName lambdaReturnType, String lambdaName, String lambdaContextName, String lambdaValueName, CBTypeExpressionType.CBTypeExprNamedType lambdaTarget, List<CBGenericSerializerMethodRefType> lambdaTargetRefs)`
  Creates an instance of a `CBGenericSerializerMethodRefViaLambda` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `lambdaContextName()`
  Returns the value of the `lambdaContextName` record component.
  `String`
  `lambdaName()`
  Returns the value of the `lambdaName` record component.
  `com.io7m.jodist.TypeName`
  `lambdaReturnType()`
  Returns the value of the `lambdaReturnType` record component.
  `CBTypeExpressionType.CBTypeExprNamedType`
  `lambdaTarget()`
  Returns the value of the `lambdaTarget` record component.
  `List<CBGenericSerializerMethodRefType>`
  `lambdaTargetRefs()`
  Returns the value of the `lambdaTargetRefs` record component.
  `com.io7m.jodist.TypeName`
  `lambdaType()`
  Returns the value of the `lambdaType` record component.
  `String`
  `lambdaValueName()`
  Returns the value of the `lambdaValueName` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CBTypeExpressionType.CBTypeExprApplicationType`
  `type()`
  Returns the value of the `type` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBGenericSerializerMethodRefViaLambda

    public CBGenericSerializerMethodRefViaLambda(CBTypeExpressionType.CBTypeExprApplicationType type, com.io7m.jodist.TypeName lambdaType, com.io7m.jodist.TypeName lambdaReturnType, String lambdaName, String lambdaContextName, String lambdaValueName, CBTypeExpressionType.CBTypeExprNamedType lambdaTarget, List<CBGenericSerializerMethodRefType> lambdaTargetRefs)
    Creates an instance of a `CBGenericSerializerMethodRefViaLambda` record class.
    Parameters:
      `type` - the value for the `type` record component
      `lambdaType` - the value for the `lambdaType` record component
      `lambdaReturnType` - the value for the `lambdaReturnType` record component
      `lambdaName` - the value for the `lambdaName` record component
      `lambdaContextName` - the value for the `lambdaContextName` record component
      `lambdaValueName` - the value for the `lambdaValueName` record component
      `lambdaTarget` - the value for the `lambdaTarget` record component
      `lambdaTargetRefs` - the value for the `lambdaTargetRefs` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### type

    public CBTypeExpressionType.CBTypeExprApplicationType type()
    Returns the value of the `type` record component.
    Returns:
      the value of the `type` record component

  - ### lambdaType

    public com.io7m.jodist.TypeName lambdaType()
    Returns the value of the `lambdaType` record component.
    Returns:
      the value of the `lambdaType` record component

  - ### lambdaReturnType

    public com.io7m.jodist.TypeName lambdaReturnType()
    Returns the value of the `lambdaReturnType` record component.
    Returns:
      the value of the `lambdaReturnType` record component

  - ### lambdaName

    public String lambdaName()
    Returns the value of the `lambdaName` record component.
    Returns:
      the value of the `lambdaName` record component

  - ### lambdaContextName

    public String lambdaContextName()
    Returns the value of the `lambdaContextName` record component.
    Returns:
      the value of the `lambdaContextName` record component

  - ### lambdaValueName

    public String lambdaValueName()
    Returns the value of the `lambdaValueName` record component.
    Returns:
      the value of the `lambdaValueName` record component

  - ### lambdaTarget

    public CBTypeExpressionType.CBTypeExprNamedType lambdaTarget()
    Returns the value of the `lambdaTarget` record component.
    Returns:
      the value of the `lambdaTarget` record component

  - ### lambdaTargetRefs

    public List<CBGenericSerializerMethodRefType> lambdaTargetRefs()
    Returns the value of the `lambdaTargetRefs` record component.
    Returns:
      the value of the `lambdaTargetRefs` record component